Subject: Questions about building internal packages/repo

From: "Chris Ross (cross2)" <[email-masked]>
Date: Mon, 30 Sep 2024 15:17:37 +0000

Tl;dr; want to know (1) how to retrieve sources that need authentication, (2) how to push packages to an external asset server to act as a repo for other Alpine Linux systems

Hello.  I am working on a project where the application will run in an alpine docker container.  The components of the project that I’m writing internally, I want to build packages and host them in an internal repository.  I have some of this working already using generic search results and guides.  But there are some questions I don’t see answers to, perhaps specific to my situation.

https://wiki.alpinelinux.org/wiki/Creating_an_Alpine_package was helpful, but in the end is only about creating Alpine packages for the general public.  My packages will be internal to my environment.  I found other instructions for setting up a repository, but they mostly seemed to be about a local repository.

I have a JFrog Artifactory server that I’d like to use.  We use it for maven, docker, etc.  Is there a way with apk-tools and/or abuild to push packages into an external repository?

And before that, is there a mechanism to provide authentication information in a “source” specification?  For example, if I need to authenticate to an internal github or HTTPS server to retrieve the source archive.  I don’t see an explicit mention of it in APKBUILD docs.  It may have to be done as shell commands in `fetch` or some other pre-fetch step?  Any suggestions and examples would be welcome.

Thank you.

  *   Chris